routes/web.php
<?php

use App\Http\Controllers\Admin\NewsController;
use App\Http\Controllers\Admin\ServicesController;
use App\Http\Controllers\Admin\AwardsController;

// use App\Http\Controllers\AwardsController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\MediaController;
use App\Http\Controllers\NewsController as ControllersNewsController;
use App\Http\Controllers\NProductController;
use App\Http\Controllers\ServiceController;
use App\Models\Banner;
use App\Models\Customer;
use App\Models\News;
use App\Models\Partner;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
//website routes
Route::get('/test',function(){
    return view('test');
});
Route::get('/', function () {
    $banners = Banner::limit(10)->get();
    $categories = App\Models\Category::whereNull('parent_id')->get();
    $news =News::orderBy('created_at')->limit(4)->get();
    return view('welcome', compact('banners', 'categories','news'));
})->name('home');
Route::get('/about-us', function () {
    $partners = Partner::all();
    $customers = Customer::all();
    return view('about-us', compact('partners', 'customers'));
})->name('about.us');
Route::get('/business-lines/{category}', [CategoryController::class, 'show'])->name('category.show');
Route::get('/media', [MediaController::class, 'index'])->name('media.show');
Route::get('/product/{product}', [NProductController::class, 'show'])->name('wproduct.show');
Route::get('/news/{new}', [ControllersNewsController::class, 'show'])->name('newsa.show');
Route::get('/news', [ControllersNewsController::class, 'index'])->name('newsa.index');

Route::get('/services/{service}', [ServiceController::class, 'show'])->name('service.show');
Route::get('/awards', [AwardsController::class, 'index'])->name('awardsa.index');
Route::get('/contact-us', function () {
    return view('contact-us');
})->name('contact.us');
Route::post('/contact-us/store', function () {
    return redirect()->route('home');
})->name('contact.us.submit');

Route::get('/privacy', function () {
    return view('privacy');
})->name('privacy');


//admin routes
Route::group(
    ['prefix' => 'admin', 'namespace' => 'App\Http\Controllers\Admin'],
    function () {
        Route::group(['namespace' => 'Auth'], function () {
            Route::get('login', 'LoginController@showLoginForm')->name('login');
            Route::post('login', 'LoginController@login')->name('login_submit');
            Route::post('logout', 'LoginController@logout')->name('logout');
        });

        Route::group(['middleware' => ["auth"]], function () {
            Route::get('dashboard', 'DashboardController@index')->name('dashboard');
            //categories
            Route::resource('categories', 'CategoriesController')->except('create');
            //awards
            Route::resource('awards', 'AwardsController')->except('create');
            Route::post('categories/subadd/{parent}', 'CategoriesController@storesub')->name('categories.storesub');

            //vacancies
            Route::resource('vacancies', 'VacanciesController');
            Route::resource('requests', 'RequestsController');

            //users
            Route::resource('users', 'UsersController')->except('create');

            Route::resource('profile', 'ProfileController');

            Route::resource('news', 'NewsController');
            Route::resource('products', 'ProductsController');

            Route::get('products/preview_product/{id}', 'ProductsController@preview')->name('products.preview');

            Route::resource('services', 'ServicesController');
            Route::resource('partners', 'PartnersController');
            Route::resource('customers', 'CustomersController');


            Route::get('services/preview_services/{id}', ('ServicesController@preview'))->name('service.preview');



            Route::put('profile/{profile}/update_password', 'ProfileController@update_password')->name('profile.update_password');
        });
    }

);

resources/views/admin/subcategories/index.blade.php
@extends('layouts.dashboard')
@section('content')

    <x-content-header />
    <x-content-subheader>
        <x-button-add button class=" btn-success " type="button" data-bs-toggle="modal" data-bs-target="#create-modal">
            Add Subcategory
        </x-button-add>
        <x-modal id="create-modal" method="post" action="{{ route('categories.store') }}">
            <x-slot name="header">Add New Category</x-slot>
            <x-slot name="body">
                @include('admin._forms.create-category')
            </x-slot>
        </x-modal>

    </x-content-subheader>
    <x-table title="Categories ">
        <x-slot name="header">
            <x-header-dates route="{{route('categories.index')}}"/>
        </x-slot>
        <x-slot name="tableheader">
            <tr>
                <th scope="col"></th>
                <th scope="col">@sortablelink('ar_name','ar name') </th>
                <th scope="col"> @sortablelink('name','en name')</th>
                <th scope="col"> @sortablelink('name','fr name')</th>
                <th scope="col">@sortablelink('id', '#')</th>
                <th scope="col">@sortablelink('childs_count','Subcategories count')</th>

            </tr>
        </x-slot>
        <x-slot name="tablebody">
            @foreach ($data as $row)
                <tr>
                    <th scope="row">
                        <x-operations>
                            <x-operation-item href="{{ route('categories.show', $row->id) }}">
                                view all subcategories
                            </x-operation-item>
                            <x-operation-button type="button" data-bs-toggle="modal" data-bs-target="#create-modal">
                                add new category
                            </x-operation-button>
                            <x-operation-button type="button" data-bs-toggle="modal"
                                data-bs-target="#create-modal-sub-{{ $row->id }}">
                                add new subcategory
                            </x-operation-button>
                            <x-operation-form method="delete" action="{{ route('categories.destroy', $row->id) }}">
                                delete category and its subcategories
                            </x-operation-form>
                        </x-operations>


                    </th>
                    <td>{{ $row->ar_name }}</td>
                    <td>{{ $row->name }}</td>
                    <td>{{ $row->fr_name }}</td>

                    <td>{{ $row->id }}</td>
                    <td>{{ $row->childs_count }}</td>
                </tr>

                <x-modal id="create-modal-sub-{{ $row->id }}" method="post" action="{{ route('categories.store') }}">
                    <x-slot name="header">Add new category to {{ $row->name }} </x-slot>
                    <x-slot name="body">
                        @include('admin._forms.create-category')
                        <input type="hidden" value={{ $row->id }} name="category" />
                    </x-slot>
                </x-modal>
            @endforeach
        </x-slot>
        <x-slot name="tablefooter">
            <div class="d-flex justify-content-center mt-2  ">
                {{ $data->links('vendor.pagination.bootstrap-4') }}
            </div>
        </x-slot>
    </x-table>


@endsection